Bug 1889884 - [v2v][Testday]Missing 'Start virtual machine on creation' checkbox in the import wizard for VMware
Summary: [v2v][Testday]Missing 'Start virtual machine on creation' checkbox in the imp...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tomas Jelinek
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 19:38 UTC by Nandini Chandra
Modified: 2020-11-03 13:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-26 15:13:43 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot of RHV import wizard with start after import option (58.56 KB, image/png)
2020-10-20 19:44 UTC, Nandini Chandra
no flags Details

Description Nandini Chandra 2020-10-20 19:38:21 UTC
Description of problem:
-----------------------
The 'Start virtual machine on creation' checkbox i smissing in the import wizard while importing VMs from VMware.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
CNV 2.5


How reproducible:
----------------
Always


Steps to Reproduce:
-------------------
Import a VMware VM to CNV using UI.


Actual results:
---------------
There is no 'Start virtual machine on creation' checkbox in the import wizard while importing VMs from VMware.

The checkbox is available in the import wizard while importing VMs from RHV.


Expected results:
-----------------
The 'Start virtual machine on creation' checkbox should be available in the import wizard while importing VMs from RHV.


Additional info:
----------------

Comment 1 Nandini Chandra 2020-10-20 19:44:24 UTC
Created attachment 1722975 [details]
screen shot of RHV import wizard with start after import option

Comment 2 Filip Krepinsky 2020-10-26 15:13:43 UTC
This feature is not supported by the conversion pod flow as there is no controller to start the VM once the import finishes (the pod does not have the VM reference). This feature might be available through the  vm-import operator, but the UI is still using the legacy conversion pod.


Note You need to log in before you can comment on or make changes to this bug.